Bug 1504129 - Request for Evolution 3.28 series (latest stable)
Summary: Request for Evolution 3.28 series (latest stable)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: evolution
Version: 7.4
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Milan Crha
QA Contact: Desktop QE
URL:
Whiteboard:
: 1576528 (view as bug list)
Depends On: 1575495
Blocks: 1567133 1575499 1575500 1649404
TreeView+ depends on / blocked
 
Reported: 2017-10-19 14:14 UTC by Don Pellegrino
Modified: 2018-11-13 15:03 UTC (History)
8 users (show)

Fixed In Version: evolution-3.28.5-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:19:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 769573 0 None None None 2017-10-19 14:17:53 UTC
GNOME Bugzilla 786095 0 None None None 2017-10-19 14:17:23 UTC
GNOME Bugzilla 787908 0 None None None 2017-10-19 14:17:36 UTC
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 10:20:48 UTC

Description Don Pellegrino 2017-10-19 14:14:18 UTC
Description of problem:

It seems that Evolution has made a number of useful improvements to the interoperability with Microsoft Exchange since release 3.22.x. A version bump to the latest release series of Evolution would be useful.

For example:

https://bugzilla.gnome.org/show_bug.cgi?id=786095

https://bugzilla.gnome.org/show_bug.cgi?id=787908

https://bugzilla.gnome.org/show_bug.cgi?id=769573

Version-Release number of selected component (if applicable):

$ rpm -qi evolution
Name        : evolution
Version     : 3.22.6
Release     : 10.el7
Architecture: x86_64
Install Date: Wed 02 Aug 2017 02:06:33 PM EDT
Group       : Applications/Productivity
Size        : 50230273
License     : GPLv2+ and GFDL
Signature   : RSA/SHA256, Tue 30 May 2017 01:55:24 AM EDT, Key ID 199e2f91fd431d51
Source RPM  : evolution-3.22.6-10.el7.src.rpm
Build Date  : Mon 29 May 2017 05:53:38 PM EDT
Build Host  : x86-030.build.eng.bos.redhat.com
Relocations : (not relocatable)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Vendor      : Red Hat, Inc.
URL         : https://wiki.gnome.org/Apps/Evolution
Summary     : Mail and calendar client for GNOME
Description :
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The components which make up Evolution
are tightly integrated with one another and act as a seamless
personal information-management tool.

Comment 2 Tomas Pelka 2017-10-19 14:19:24 UTC
If this is not super critical request I would like aks to consider postponing to 7.6

Comment 3 Don Pellegrino 2017-10-19 14:29:12 UTC
Aligning the update with a point release of RHEL seems to make sense. I would not rate any of the corresponding issues with Evolution 3.22.x as critical.

Comment 4 Milan Crha 2017-10-19 15:01:26 UTC
Thanks for a bug report. Please note that this means to bring also evolution-data-server (eds), evolution-ews and evolution-mapi. While there is not much issue with the two later, the eds is a problem, because it's a critical core part of the desktop, due to multiple other applications than just evolution connecting to its services, including GNOME Shell itself (the gnome-shell-calendar-server, which shows events in the clock popup). That means that an update of Evolution may eventually require update of other packages as well.

Comment 6 Milan Crha 2018-05-10 06:20:44 UTC
*** Bug 1576528 has been marked as a duplicate of this bug. ***

Comment 9 Bill Sanford 2018-08-14 15:02:22 UTC
Verified with RHEL-7.6-20180812.n.0

Comment 11 errata-xmlrpc 2018-10-30 10:19:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.